## biomaj3-process 3.0.10

=== requirements.txt ===
mock
nose
pika
redis
PyYAML
protobuf
flask
python-consul
prometheus_client>=0.0.18
requests
biomaj_core>=3.0.10
biomaj_zipkin

=== debian/changelog ===
biomaj3-process (3.0.10-1) unstable; urgency=medium

  * New upstream release
    d/control: switch to 4.1.3 

 -- Olivier Sallou <osallou@debian.org>  Sat, 10 Feb 2018 17:17:55 +0000

biomaj3-process (3.0.8-1) unstable; urgency=low

  * First packaging of biomaj-process (Closes: #872447)

 -- Olivier Sallou <osallou@debian.org>  Thu, 17 Aug 2017 09:59:28 +0000

=== debian/control ===
Source: biomaj3-process
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               protobuf-compiler,
               python3-all,
               python3-bcrypt,
               python3-consul,
               python3-flask,
               python3-mock,
               python3-nose,
               python3-pika,
               python3-prometheus-client,
               python3-protobuf,
               python3-pymongo,
               python3-redis,
               python3-setuptools,
               python3-yaml,
               python3-biomaj3-core,
               python3-biomaj3-zipkin
Standards-Version: 4.1.3
Homepage: https://github.com/genouest/biomaj-process
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/biomaj3-process.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/biomaj3-process.git

Package: python3-biomaj3-process
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}, python3-gunicorn, mongodb, redis-server
XB-Python-Egg-Name: biomaj-process
Description: BioMAJ process management library
 BioMAJ downloads remote data banks, checks their status and applies
 transformation workflows, with consistent state, to provide ready-to-use
 data for biologists and bioinformaticians. For example, it can transform
 original FASTA files into BLAST indexes. It is very flexible and its
 post-processing facilities can be extended very easily.
 .
 BioMAJ3 is a rewrite of BioMAJ v1.x, see online documentation for migration.
 .
 This package contains the library and microservice to manage processes
 in BioMAJ3

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_OPTIONS=nocheck

export PYBUILD_NAME=biomaj-process
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	cd biomaj_process/message && protoc --python_out=. message.proto
	dh_auto_build

override_dh_install:
	dh_install
	sed -i '1s;^;#!/usr/bin/python3\n;' debian/python3-biomaj3-process/usr/bin/biomaj_process_consumer.py

=== debian/watch ===
version=4
opts="repack,compression=xz,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/biomaj3-process-$1\.tar\.gz/" \
  https://github.com/genouest/biomaj-process/tags .*/v?(\d\S+)\.tar\.gz

## biomaj3-process 3.0.11

=== debian/changelog ===
biomaj3-process (3.0.11-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Olivier Sallou ]
  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Thu, 25 Oct 2018 09:08:51 +0000

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
                python3-biomaj3-zipkin
 Standards-Version: 4.1.3
 Homepage: https://github.com/genouest/biomaj-process
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/biomaj3-process.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/biomaj3-process.git
+Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-process
+Vcs-Git: https://salsa.debian.org/med-team/biomaj3-process.git
 
 Package: python3-biomaj3-process
 Architecture: all

## biomaj3-process 3.0.13

=== debian/changelog ===
biomaj3-process (3.0.13-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Sat, 09 Mar 2019 10:13:09 +0000

## biomaj3-process 3.0.15

=== debian/changelog ===
biomaj3-process (3.0.15-1) unstable; urgency=medium

  * New upstream release 

 -- Olivier Sallou <osallou@debian.org>  Tue, 12 Nov 2019 10:32:06 +0000

## biomaj3-process 3.0.16

=== requirements.txt ===
mock
nose
pika==0.13.0
redis
PyYAML
protobuf
flask
python-consul
prometheus_client>=0.0.18
requests
biomaj_core>=3.0.16
biomaj_zipkin

=== debian/changelog ===
biomaj3-process (3.0.16-2) unstable; urgency=medium

  * Team Upload.
  * Fix with correct import-name (Closes: #982169)

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 07 Feb 2021 15:39:26 +0530

biomaj3-process (3.0.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 09:42:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: biomaj3-process
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Olivier Sallou <osallou@debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
                protobuf-compiler,
                python3-all,
                python3-bcrypt,
@@ -20,8 +21,9 @@
                python3-yaml,
                python3-biomaj3-core,
                python3-biomaj3-zipkin
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
 Homepage: https://github.com/genouest/biomaj-process
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-process
 Vcs-Git: https://salsa.debian.org/med-team/biomaj3-process.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
-	cd biomaj_process/message && protoc --python_out=. message.proto
+	cd biomaj_process/message && protoc --python_out=. procmessage.proto
 	dh_auto_build
 
 override_dh_install:

## biomaj3-process 3.0.18

=== debian/changelog ===
biomaj3-process (3.0.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Jun 2022 14:34:14 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: biomaj3-process
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Olivier Sallou <osallou@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Olivier Sallou <osallou@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-python,
                protobuf-compiler,
                python3-all,
                python3-bcrypt,
@@ -21,18 +22,20 @@
                python3-yaml,
                python3-biomaj3-core,
                python3-biomaj3-zipkin
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-process
+Vcs-Git: https://salsa.debian.org/med-team/biomaj3-process.git
 Homepage: https://github.com/genouest/biomaj-process
 Rules-Requires-Root: no
-Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-process
-Vcs-Git: https://salsa.debian.org/med-team/biomaj3-process.git
 
 Package: python3-biomaj3-process
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}, python3-gunicorn, mongodb, redis-server
-XB-Python-Egg-Name: biomaj-process
+Suggests: ${python3:Suggests},
+          python3-gunicorn,
+          redis-server
 Description: BioMAJ process management library
  BioMAJ downloads remote data banks, checks their status and applies
  transformation workflows, with consistent state, to provide ready-to-use
@@ -44,3 +47,4 @@
  .
  This package contains the library and microservice to manage processes
  in BioMAJ3
+XB-Python-Egg-Name: biomaj-process

## biomaj3-process 3.0.19

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 mock
-nose
+pytest
 pika==0.13.0
 redis
 PyYAML

=== debian/changelog ===
biomaj3-process (3.0.19-4) unstable; urgency=medium

  * Team upload.
  * Skip tests by using an empty override_dh_auto_test target.
  * Fix clean target. Closes: #1043738.
  * Drop "Rules-Requires-Root: no" (default).
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Simplify salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Tue, 03 Feb 2026 14:20:00 +0100

biomaj3-process (3.0.19-3) unstable; urgency=medium

  * Team upload.
  * Fix clean target
    Closes: #1043846
  * Standards-Version: 4.7.0 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * d/control: drop Python-Egg-Name

 -- Andreas Tille <tille@debian.org>  Fri, 20 Dec 2024 21:35:17 +0100

biomaj3-process (3.0.19-2) unstable; urgency=medium

  * Team upload.
  * Remove usage of python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sat, 14 Dec 2024 19:07:56 +0100

biomaj3-process (3.0.19-1) unstable; urgency=medium

  * New upstream release, replace nose by pytest (Closes: #1018321).

 -- Olivier Sallou <osallou@debian.org>  Mon, 29 Aug 2022 12:47:29 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,14 @@
 Uploaders: Olivier Sallou <osallou@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                protobuf-compiler,
                python3-all,
                python3-bcrypt,
                python3-consul,
                python3-flask,
-               python3-mock,
-               python3-nose,
+               python3-pytest <!nocheck>,
                python3-pika,
                python3-prometheus-client,
                python3-protobuf,
@@ -22,11 +20,10 @@
                python3-yaml,
                python3-biomaj3-core,
                python3-biomaj3-zipkin
-Standards-Version: 4.6.1
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/biomaj3-process
 Vcs-Git: https://salsa.debian.org/med-team/biomaj3-process.git
 Homepage: https://github.com/genouest/biomaj-process
-Rules-Requires-Root: no
 
 Package: python3-biomaj3-process
 Architecture: all
@@ -47,4 +44,3 @@
  .
  This package contains the library and microservice to manage processes
  in BioMAJ3
-XB-Python-Egg-Name: biomaj-process

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=biomaj-process

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	cd biomaj_process/message && protoc --python_out=. procmessage.proto
	dh_auto_build

override_dh_install:
	dh_install
	sed -i '1s;^;#!/usr/bin/python3\n;' debian/python3-biomaj3-process/usr/bin/biomaj_process_consumer.py

override_dh_auto_test:
